Name:           fsvs
Version:        1.1.17
Release:        1%{?dist}
Summary:        Full system versioning with metadata support
Group:          Development/Tools
License:        GPLv3
URL:            http://www.fsvs-software.org/
Source0:        http://download.fsvs-software.org/fsvs-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  apr-devel
BuildRequires:  apr-util-devel
BuildRequires:  pcre-devel
BuildRequires:  subversion-devel
BuildRequires:  gdbm-devel
BuildRequires:  ctags

%description
FSVS is a backup/restore/versioning/deployment tool for whole directory
trees or filesystems, with a subversion repository as the backend.
It can do overlays of multiple repositories, to achieve some content
separation (base install, local modifications, etc.) 


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-aprinc=/usr/include/apr-1/
cd src
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/fsvs $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/fsvs-%{version}/
cp -p CHANGES README LICENSE $RPM_BUILD_ROOT/%{_docdir}/fsvs-%{version}/
cp -p doc/PERFORMANCE doc/IGNORING doc/USAGE doc/FAQ $RPM_BUILD_ROOT/%{_docdir}/fsvs-%{version}/
# cp -pr example/ $RPM_BUILD_ROOT/%{_docdir}/fsvs-%{version}//example/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5
cp -p doc/fsvs.1 $RPM_BUILD_ROOT/%{_mandir}/man1/fsvs.1
cp -p doc/fsvs-options.5 $RPM_BUILD_ROOT/%{_mandir}/man5/fsvs-options.5
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/fsvs
mkdir -p $RPM_BUILD_ROOT/%{_var}/spool/fsvs

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/fsvs
%config %{_sysconfdir}/fsvs/
%config %{_var}/spool/fsvs/
%doc
%doc %{_docdir}/fsvs-%{version}/
# %{_docdir}/fsvs-%{version}//example/
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
* Mon Nov 03 2008 David Fraser <davidf@sjsoft.com> 1.1.17-1
- Upgraded to 1.1.17
- Updated home page and download location

* Wed Jun 18 2008 David Fraser <davidf@sjsoft.com> 1.1.16-1
- Upgraded to 1.1.16
- Updated with new upstream description and summary

* Wed Apr 30 2008 David Fraser <davidf@sjsoft.com> 1.1.15-1
- Upgraded to 1.1.15

* Wed Apr 02 2008 David Fraser <davidf@sjsoft.com> 1.1.14-1
- Upgraded to 1.1.14

* Wed Mar 26 2008 Manual "lonely wolf" Wolfshant <wolfy@fedoraproject.org> 1.1.13-5
- man pages are gzipped automatically; cd .. in build is useless

* Wed Mar 26 2008 David Fraser <davidf@sjsoft.com> 1.1.13-4
- Removed unneccessary macros

* Tue Mar 25 2008 David Fraser <davidf@sjsoft.com> 1.1.13-3
- Removed example directory
- Adjusted Makefile to take RPM_OPT_FLAGS

* Tue Mar 25 2008 Manual "lonely wolf" Wolfshant <wolfy@fedoraproject.org> 1.1.13-2
- Fixed remaining /usr/bin, /etc and /var to use macros

* Tue Mar 25 2008 David Fraser <davidf@sjsoft.com> 1.1.13-1
- Upgraded to latest release
- New man file locations
- New example in doc directory

* Tue Mar 25 2008 David Fraser <davidf@sjsoft.com> 1.1.12-7
- Re-added doc_dir and man_dir, but make them use _docdir and _mandir
- Fixed version numbers in changelog

* Mon Mar 24 2008 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> 1.1.12-6
- Missing BR, consistent use of macros

* Mon Mar 24 2008 David Fraser <davidf@sjsoft.com> 1.1.12-5
- Corrected rpmlint errors
- Removed manual doc_dir and man_dir definitions

* Thu Feb 21 2008 David Fraser <davidf@sjsoft.com> 1.1.12-4
- Added pcre dependency

* Thu Feb 21 2008 David Fraser <davidf@sjsoft.com> 1.1.12-3
- Added configuration and WAA directories

* Thu Feb 21 2008 David Fraser <davidf@sjsoft.com> 1.1.12-2
- Added documentation directories

* Sat Feb 16 2008 David Fraser <davidf@sjsoft.com> 1.1.12-1
- Initial build.

